View Issue Details

IDProjectCategoryView StatusLast Update
0005552DarkRadiantShader Systempublic03.04.2021 07:01
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.11.0 
Target Version2.12.0Fixed in Version2.12.0 
Summary0005552: Better support for stage transform keywords in idTech4 materials
DescriptionidTech4 material stages allow for texture matrix transforms to be specified in any order. This order of occurrence is important and must be respected, as well as the (not widely used) possibility to define multiple transform keywords of the same type (like defining two translate operations).
TagsNo tags attached.

Relationships

related to 0005572 resolvedgreebo Material Editor 

Activities

greebo

greebo

03.04.2021 06:56

administrator   ~0013825

Has been implemened along the way in the material editor branches

Related Changesets

DarkRadiant: materialeditor2 4a656d08

2021-03-14 18:03:48

greebo

Details Diff
0005532: Start building the system needed to support the chained transformations possible in the idTech4 stages Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 dc3da516

2021-03-14 18:04:23

greebo

Details Diff
0005532: Add (failing) unit test with some combined transformations Affected Issues
0005532, 0005552
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 b3b91ee0

2021-03-15 04:07:43

greebo

Details Diff
0005532: Adjust stage parsing code to stack transformation keywords Affected Issues
0005532, 0005552
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor2 3c6b0557

2021-03-15 05:06:09

greebo

Details Diff
0005532: Add a partially implemented wrapper class to encapsulate the texture matrix handling Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
add - radiantcore/shaders/TextureMatrix.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor2 bc81bc37

2021-03-19 03:18:31

greebo

Details Diff
0005532: Fix matrix multiplication implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
mod - radiantcore/shaders/TextureMatrix.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: materialeditor2 3b5a4267

2021-03-19 03:24:59

greebo

Details Diff
0005532: centerScale implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.h Diff File

DarkRadiant: materialeditor2 9097ac55

2021-03-19 03:27:09

greebo

Details Diff
0005532: shear implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.h Diff File

DarkRadiant: materialeditor2 56a35683

2021-03-19 03:44:38

greebo

Details Diff
0005532: rotate implementation Affected Issues
0005532, 0005552
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
add - radiantcore/shaders/TextureMatrix.cpp Diff File
mod - radiantcore/shaders/TextureMatrix.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor2 6d68aa53

2021-03-19 05:04:05

greebo

Details Diff
0005532: Adjust unit test cases, add sinTable and cosTable to unit test resources Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File
add - test/resources/tdm/materials/tables.mtr Diff File

DarkRadiant: materialeditor2 55f65f68

2021-03-19 06:33:48

greebo

Details Diff
0005532: Use the stage texture transform matrix to set up the shader pass Affected Issues
0005532, 0005552
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/shaders/ExpressionSlots.cpp Diff File

DarkRadiant: materialeditor2 10425b75

2021-03-19 06:46:28

greebo

Details Diff
0005532: Remove all the unused code for handling the expressions for the various transformation types separately Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

Issue History

Date Modified Username Field Change
27.02.2021 08:40 greebo New Issue
27.02.2021 08:40 greebo Status new => confirmed
03.04.2021 06:56 greebo Relationship added related to 0005572
03.04.2021 06:56 greebo Assigned To => greebo
03.04.2021 06:56 greebo Status confirmed => assigned
03.04.2021 06:56 greebo Target Version => 2.12.0
03.04.2021 06:56 greebo Status assigned => resolved
03.04.2021 06:56 greebo Resolution open => fixed
03.04.2021 06:56 greebo Fixed in Version => 2.12.0
03.04.2021 06:56 greebo Note Added: 0013825
03.04.2021 07:00 greebo Changeset attached => DarkRadiant materialeditor2 4a656d08
03.04.2021 07:00 greebo Changeset attached => DarkRadiant materialeditor2 dc3da516
03.04.2021 07:00 greebo Changeset attached => DarkRadiant materialeditor2 b3b91ee0
03.04.2021 07:00 greebo Changeset attached => DarkRadiant materialeditor2 3c6b0557
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 bc81bc37
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 3b5a4267
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 9097ac55
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 56a35683
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 6d68aa53
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 55f65f68
03.04.2021 07:01 greebo Changeset attached => DarkRadiant materialeditor2 10425b75